org.eclipse.net4j.signal

## Class SignalProtocol.TimeoutChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent

- All Implemented Interfaces:
    Serializable, IEvent
  Enclosing class:
    SignalProtocol<INFRA_STRUCTURE>

      public static final class SignalProtocol.TimeoutChangedEvent
      extends Event

  An `event` fired from a `signal protocol` when the protocol `timeout` has been changed.
  Since:
    4.1
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getNewTimeout()`
    `long` | `getOldTimeout()`
    `SignalProtocol<?>` | `getSource()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public SignalProtocol<?> getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `Event`

    - #### getOldTimeout

          public long getOldTimeout()

    - #### getNewTimeout

          public long getNewTimeout()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Event`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html